API reference
All operations
INSPECTION

Updates an existing inspection record.

PUT/api/v2/inspections/record/{assignedInspectionId}

Authentication

Choose one supported method for this request.

OAuth 2.0 client credentials

Parameters

assignedInspectionIdpathinteger · int32required

The ID of the inspection to update.

Request body

application/jsonrequired

The request containing updated inspection data.

UpdateInspectionRequest
  • The inspection's groups.

  • companyIdinteger · int32

    Company ID associated with this inspection.

  • contactIdinteger · int32

    Contact ID related to this inspection.

  • userIdinteger · int32

    User id related to this inspection.

  • inspectionNamestring

    The name of the inspection.

  • inspectionNostring

    The inspection number.

  • inspectionDatestring · date

    The date when inspection is created.

  • inspectionHoursnumber · double

    Inspection hours

  • commentsstring

    Inspection comments

  • completeboolean

    Complete status of the inspection

  • statusstring

    Status of the inspection at the time of the update request

Responses

Inspection updated successfully.

Standard response envelopeisSuccessmessageerrorsdata

Read the result from data. When isSuccess is false, errors lists what went wrong. Handling errors

dataRecordAssignedInspectionDto
  • assignedInspectionIdinteger · int32
  • inspectionIdinteger · int32
  • recordIdinteger · int32
  • serviceIdinteger · int32
  • recordTypestring
  • makestring
  • modelstring
  • serialNostring
  • stockNostring
  • vehicleNostring
  • isMachinebooleannullable
  • companyIdinteger · int32
  • companyNamestring
  • contactIdinteger · int32
  • contactstring
  • userIdinteger · int32
  • repstring
  • inspectionStagestring
  • statusstring
  • inspectionNamestring
  • inspectionTypestring
  • inspectionNostring
  • inspectionDatestring · date
  • inspectionHoursnumber · double
  • commentsstring
  • completeboolean
  • sourcestring
  • deletedboolean
  • includeReconditionAmountboolean
  • identifierstring · uuidnullable
  • enterByinteger · int32
  • mobileAssignedInspectionIdstringnullable
  • publicViewUrlstringnullable
  • brokerViewUrlstringnullable
  • isTradeValuationboolean
  • tradeValuenumber · doublenullable
  • customerOffernumber · doublenullable
  • tradeCommentsstringnullable
  • tradeStatusstringnullable